Bug 536214 (RHQ-589)

Summary: RFE: support "locking" configuration properties
Product: [Other] RHQ Project Reporter: Joseph Marques <jmarques>
Component: ConfigurationAssignee: John Mazzitelli <mazz>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0.1CC: cwelton, hbrock, jshaughn
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-589
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch to introduce resource config remediation none

Description Joseph Marques 2008-06-17 18:37:00 EDT
support "locking" of resource configuration properties and plugin configuration properties.  once a property is marked locked, the JON Server will keep track of incoming changes.  if there is an attempt to make a change to a "locked" property, the JON Server will send a request back down to the agent to override the resourceConfig / pluginConfig as appropriate (with whatever value the locked properties were locked with, merged with the recent/previous update from the agent).
Comment 1 Greg Hinkle 2008-10-13 17:14:22 EDT
This is a pretty decent sized feature. Push to scoping process.
Comment 2 Red Hat Bugzilla 2009-11-10 16:12:30 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-589
Comment 3 Corey Welton 2010-08-12 15:52:45 EDT
Mazz, what would be required to get this in?
Comment 4 John Mazzitelli 2010-08-24 13:13:12 EDT
Created attachment 440703 [details]
patch to introduce resource config remediation

The attached patch is something I coded up in December of 2009 that performs resource configuration remeditation. When a configuration changes and the agent reports that change, the server can detect that a locked config changed and immediately tell the agent to revert the configuration back to what it was. I blogged (with a demo) this functionality here: http://management-platform.blogspot.com/2009/12/configuration-remediation.html
Comment 6 Jay Shaughnessy 2014-05-14 10:14:40 EDT
This could be useful if we get more into applying policy.
Comment 7 John Mazzitelli 2014-05-14 10:16:34 EDT
FYI: here's the demo of the prototype I wrote a long time ago:

https://docs.jboss.org/author/display/RHQ/Configuration+Freeze